package org.xyzh.common.vo;

import java.util.List;

import org.xyzh.common.dto.BaseDTO;
import org.xyzh.common.dto.dept.TbSysDept;
import org.xyzh.common.dto.role.TbSysRole;
import org.xyzh.common.dto.user.TbSysUser;
import org.xyzh.common.dto.user.TbSysUserDeptRole;

public class UserDeptRoleVO extends BaseDTO{
    private TbSysUser user;
    private List<TbSysUser> users;
    private List<TbSysDept> depts;
    private List<TbSysRole> roles;
    private List<TbSysUserDeptRole> userDeptRoles;
    
    public TbSysUser getUser() {
        return user;
    }
    public void setUser(TbSysUser user) {
        this.user = user;
    }
    public List<TbSysUser> getUsers() {
        return users;
    }
    public void setUsers(List<TbSysUser> users) {
        this.users = users;
    }
    public List<TbSysDept> getDepts() {
        return depts;
    }
    public void setDepts(List<TbSysDept> depts) {
        this.depts = depts;
    }
    public List<TbSysRole> getRoles() {
        return roles;
    }
    public void setRoles(List<TbSysRole> roles) {
        this.roles = roles;
    }
    public List<TbSysUserDeptRole> getUserDeptRoles() {
        return userDeptRoles;
    }
    public void setUserDeptRoles(List<TbSysUserDeptRole> userDeptRoles) {
        this.userDeptRoles = userDeptRoles;
    }

    

}
